import { at as CursorSearch, S as SearchBillableItemsResponse } from './billable-items-v1-billable-item-billable-items.universal-RzrzC-9-.mjs';
export { Q as ActionEvent, av as Aggregation, aJ as AggregationData, aw as AggregationKindOneOf, b0 as AggregationResults, b1 as AggregationResultsResultOneOf, aQ as AggregationResultsScalarResult, A as AggregationType, be as AggregationTypeWithLiterals, z as ApplicationError, b2 as BaseEventMetadata, B as BillableItem, m as BillableItemCreatedEnvelope, n as BillableItemDeletedEnvelope, b5 as BillableItemSearchSpec, o as BillableItemUpdatedEnvelope, a as BillableItemsQueryBuilder, b4 as BillableItemsQueryResult, F as BulkActionMetadata, ak as BulkBillableItemResult, b as BulkCreateBillableItemsOptions, aj as BulkCreateBillableItemsRequest, c as BulkCreateBillableItemsResponse, an as BulkDeleteBillableItemsRequest, f as BulkDeleteBillableItemsResponse, ao as BulkDeleteBillableItemsResponseBulkBillableItemResult, h as BulkUpdateBillableItemTagsApplicationErrors, k as BulkUpdateBillableItemTagsByFilterApplicationErrors, i as BulkUpdateBillableItemTagsByFilterOptions, G as BulkUpdateBillableItemTagsByFilterRequest, H as BulkUpdateBillableItemTagsByFilterResponse, g as BulkUpdateBillableItemTagsOptions, w as BulkUpdateBillableItemTagsRequest, x as BulkUpdateBillableItemTagsResponse, aq as BulkUpdateBillableItemTagsResponseBulkUpdateBillableItemTagsResult, D as BulkUpdateBillableItemTagsResult, d as BulkUpdateBillableItemsOptions, al as BulkUpdateBillableItemsRequest, e as BulkUpdateBillableItemsResponse, am as BulkUpdateBillableItemsResponseBulkBillableItemResult, bt as CommonSearchWithEntityContext, C as CreateBillableItemApplicationErrors, _ as CreateBillableItemRequest, $ as CreateBillableItemResponse, aa as CursorPaging, ac as CursorPagingMetadata, a7 as CursorQuery, a8 as CursorQueryPagingMethodOneOf, au as CursorSearchPagingMethodOneOf, ad as Cursors, aD as DateHistogramAggregation, aY as DateHistogramResult, a_ as DateHistogramResults, a4 as DeleteBillableItemRequest, a5 as DeleteBillableItemResponse, J as DomainEvent, K as DomainEventBodyOneOf, L as EntityCreatedEvent, P as EntityDeletedEvent, O as EntityUpdatedEvent, b3 as EventMetadata, E as ExtendedFields, a0 as GetBillableItemRequest, a1 as GetBillableItemResponse, aZ as GroupByValueResults, Y as IdentificationData, Z as IdentificationDataIdOneOf, ay as IncludeMissingValuesOptions, ah as InternalCursorPaging, af as InternalCursorQuery, ag as InternalCursorQueryPagingMethodOneOf, ae as InternalQueryBillableItemsRequest, ai as InternalQueryBillableItemsResponse, I as Interval, bd as IntervalWithLiterals, y as ItemMetadata, M as MaskedBillableItem, X as MessageEnvelope, s as MissingValues, ba as MissingValuesWithLiterals, u as Mode, bf as ModeWithLiterals, aG as NestedAggregation, aE as NestedAggregationItem, aF as NestedAggregationItemKindOneOf, aM as NestedAggregationResults, aN as NestedAggregationResultsResultOneOf, N as NestedAggregationType, bc as NestedAggregationTypeWithLiterals, aV as NestedResultValue, aW as NestedResultValueResultOneOf, a$ as NestedResults, aR as NestedValueAggregationResult, aI as PagingMetadataV2, a6 as QueryBillableItemsRequest, ab as QueryBillableItemsResponse, aB as RangeAggregation, aL as RangeAggregationResult, ax as RangeBucket, aT as RangeResult, aP as RangeResults, R as RestoreInfo, aX as Results, aC as ScalarAggregation, aU as ScalarResult, t as ScalarType, bb as ScalarTypeWithLiterals, as as SearchBillableItemsRequest, aH as SearchDetails, r as SortDirection, b9 as SortDirectionWithLiterals, p as SortOrder, b7 as SortOrderWithLiterals, q as SortType, b8 as SortTypeWithLiterals, a9 as Sorting, v as TagList, T as Tags, U as UpdateBillableItem, a2 as UpdateBillableItemRequest, a3 as UpdateBillableItemResponse, ar as V1BulkUpdateBillableItemTagsByFilterRequest, j as V1BulkUpdateBillableItemTagsByFilterResponse, ap as V1BulkUpdateBillableItemTagsRequest, V as V1BulkUpdateBillableItemTagsResponse, az as ValueAggregation, aA as ValueAggregationOptionsOneOf, aK as ValueAggregationResult, aS as ValueResult, aO as ValueResults, W as WebhookIdentityType, b6 as WebhookIdentityTypeWithLiterals, bo as bulkCreateBillableItems, bq as bulkDeleteBillableItems, br as bulkUpdateBillableItemTags, bs as bulkUpdateBillableItemTagsByFilter, bp as bulkUpdateBillableItems, bj as createBillableItem, bm as deleteBillableItem, bk as getBillableItem, bg as onBillableItemCreated, bh as onBillableItemDeleted, bi as onBillableItemUpdated, bn as queryBillableItems, bl as updateBillableItem } from './billable-items-v1-billable-item-billable-items.universal-RzrzC-9-.mjs';
import '@wix/sdk-types';

/** @hidden */
type BillableItemSearch = {};
/**
 * Retrieves a list of up to 100 billable items, given the specified filtering, search expression, sorting, and cursor paging ([SDK](https://dev.wix.com/docs/sdk/articles/work-with-the-sdk/api-query-language) | [REST](https://dev.wix.com/api/rest/getting-started/api-query-language)).
 * @param search - Search options.
 * @public
 * @documentationMaturity preview
 * @requiredField search
 * @permissionId BILLABLE_ITEMS.BILLABLE_ITEM_READ
 * @applicableIdentity APP
 * @fqn wix.billable_items.v1.BillableItems.SearchBillableItems
 */
declare function searchBillableItems(search: CursorSearch): Promise<SearchBillableItemsResponse>;

export { type BillableItemSearch, CursorSearch, SearchBillableItemsResponse, searchBillableItems };
